# AllergyIntolerance read

`GET /AllergyIntolerance/{id}`

This resource contains recorded details about a patient’s allergy or intolerance to medication, food, materials, or other substances. 

`AllergyIntolerance` provides a holistic view of a documented allergy so that you know whether the allergy is ongoing or how severely the patient reacts. A documented allergy may be active or resolved, and the patient’s reaction may be anywhere from mild to severe. 

You can review or retrieve allergy information.

> **Supported fields and schema examples**
>
> We support any valid FHIR field. However, we only display fields we’ve defined in our schema, which are usually based on what’s included in the U.S. Core profile. We recommend relying on U.S. Core requirements. 
>
> Our schema examples show the shape and possibility of each FHIR resource; they aren’t code for real-time API calls. We don’t currently recommend copying and pasting these schema examples for your API calls. [Consider reviewing FHIR API actions](/fhir-api-actions) for realistic examples for particular use cases.

### read

Review a specific `AllergyIntolerance` resource with details about a patient’s active or resolved allergy.

> **FHIR read**
>
> To use a `read` interaction, you must know the related resource ID, which you may not have in your real workflows. A `read` is likely only a follow-up option after receiving the specific resource in a recent FHIR passthrough or data on demand exchange.
>
> Typically, you should use the more flexible `_search` with query parameters, unless you’re guaranteed to request data directly from a FHIR server using the resource ID. [Learn more about using FHIR identifiers](https://docs.redoxengine.com/permalink/3D5vEc8GfbxZ0SLhMbLfuQ).

## Request parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `id` | path | string | Yes | AllergyIntolerance identifier |

## Request example

```bash
curl 'https://api.redoxengine.com/fhir/R4/{destinationSlug}/{environmentFlag}/AllergyIntolerance/{id}' \
--request GET \
--header 'Authorization: Bearer $API_TOKEN'
```

## Responses

### 200

The AllergyIntolerance

A profile on the AllergyIntolerance resource that conforms to Redox requirements.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: AllergyIntolerance |
| `code` | object | Yes | Code for an allergy or intolerance statement (either a positive or a negated/excluded statement).  This may be a code for a substance or pharmaceutical product that is considered to be responsible for the adverse reaction risk (e.g., "Latex"), an allergy or intolerance condition (e.g., "Latex allergy"), or a negated/excluded code for a specific substance or class (e.g., "No latex allergy") or a general or categorical negated statement (e.g.,  "No known allergy", "No known drug allergies").  Note: the substance for a specific reaction may be different from the substance identified as the cause of the risk, but it must be consistent with it. For instance, it may be a more specific substance (e.g. a brand medication) or a composite product that includes the identified substance. It must be clinically safe to only process the 'code' and ignore the 'reaction.substance'.  If a receiving system is unable to confirm that AllergyIntolerance.reaction.substance falls within the semantic scope of AllergyIntolerance.code, then the receiving system should ignore AllergyIntolerance.reaction.substance. |
| `code.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `code.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `code.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `code.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `patient` | object | Yes | The patient who has the allergy or intolerance. Must be a resource of type `Patient`. |
| `patient.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `id` | string | No | The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes. |
| `clinicalStatus` | string | No | The clinical status of the allergy or intolerance. Possible values: (USCDI) active, inactive, resolved |
| `type` | string | No | Identification of the underlying physiological mechanism for the reaction risk. Possible values: allergy, intolerance |
| `_type` | object | No | This element contains extensions for `type`. Depending on the extensions present it could be used in place of `type` or contain additional information about `type`. See the `extension` element for more details on the possible extensions being sent. |
| `_type.extension` | Array of OriginalText or Other | No | May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `_type.extension[] (OriginalText).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/originalText |
| `_type.extension[] (OriginalText).valueString` | string | Yes | The original text Only one of `valueString`, `valueUrl` may be present. |
| `_type.extension[] (OriginalText).valueUrl` | string | Yes | The original text Only one of `valueString`, `valueUrl` may be present. |
| `_type.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `_type.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `_type.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `_type.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `_type.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `_type.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `_type.extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `_type.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `_type.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `_type.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `_type.extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `_type.extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `_type.extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `_type.extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `_type.extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `_type.extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `_type.extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `_type.extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `_type.extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `_type.extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `_type.extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `_type.extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `_type.extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `category` | Array of string | No | Category of the identified substance. Possible values: food, medication, environment, biologic |
| `criticality` | string | No | Estimate of the potential clinical harm, or seriousness, of the reaction to the identified substance. Possible values: low, high, unable-to-assess |
| `encounter` | object | No | The encounter when the allergy or intolerance was asserted. Must be a resource of type `Encounter`. |
| `encounter.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `asserter` | object | No | The source of the information about the allergy that is recorded. Must reference one of the following types of resources: - `RelatedPerson` - `PractitionerRole` - `Practitioner` - `Patient` |
| `asserter.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `note` | Array of object | No | Additional narrative about the propensity for the Adverse Reaction, not captured in other fields. |
| `note[].text` | string | Yes | The text of the annotation in markdown format. |
| `reaction` | Array of object | No | Details about each adverse reaction event linked to exposure to the identified substance. |
| `reaction[].manifestation` | Array of object | Yes | Clinical symptoms and/or signs that are observed or associated with the adverse reaction event. |
| `reaction[].manifestation[].coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `reaction[].manifestation[].coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `reaction[].manifestation[].coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `reaction[].manifestation[].text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `reaction[].description` | string | No | Text description about the reaction as a whole, including details of the manifestation if required. |
| `reaction[].severity` | string | No | Clinical assessment of the severity of the reaction event as a whole, potentially considering multiple different manifestations. Possible values: mild, moderate, severe (of event as a whole) |
| `reaction[]._severity` | object | No | This element contains extensions for `severity`. Depending on the extensions present it could be used in place of `severity` or contain additional information about `severity`. See the `extension` element for more details on the possible extensions being sent. |
| `reaction[]._severity.extension` | Array of OriginalText or Other | No | May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `reaction[]._severity.extension[] (OriginalText).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/originalText |
| `reaction[]._severity.extension[] (OriginalText).valueString` | string | Yes | The original text Only one of `valueString`, `valueUrl` may be present. |
| `reaction[]._severity.extension[] (OriginalText).valueUrl` | string | Yes | The original text Only one of `valueString`, `valueUrl` may be present. |
| `reaction[]._severity.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `reaction[]._severity.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `reaction[]._severity.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `reaction[]._severity.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `reaction[]._severity.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `reaction[]._severity.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `reaction[]._severity.extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `reaction[]._severity.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `reaction[]._severity.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `reaction[]._severity.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `reaction[]._severity.extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `reaction[]._severity.extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `reaction[]._severity.extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `reaction[]._severity.extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `reaction[]._severity.extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `reaction[]._severity.extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `reaction[]._severity.extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `reaction[]._severity.extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `reaction[]._severity.extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `reaction[]._severity.extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `reaction[]._severity.extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `reaction[]._severity.extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `reaction[]._severity.extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `onsetDateTime` | string | No | Estimated or actual date,  date-time, or age when allergy or intolerance was identified. |

#### Example allergy to a medication

```json
{
  "resourceType": "AllergyIntolerance",
  "id": "AllergyExample",
  "identifier": [
    {
      "system": "urn:oid:1.2.840.114350.1.13.12345.1.7.2.798268",
      "value": "35892347"
    }
  ],
  "clinicalStatus": {
    "coding": [
      {
        "code": "active",
        "system": "http://terminology.hl7.org/CodeSystem/allergyintolerance-clinical",
        "display": "Active"
      }
    ],
    "text": "Active"
  },
  "type": "allergy",
  "_type": {
    "extension": [
      {
        "url": "http://hl7.org/fhir/StructureDefinition/originalText",
        "valueString": "Propensity to adverse reaction to drug"
      }
    ]
  },
  "criticality": "low",
  "code": {
    "coding": [
      {
        "code": "2670",
        "system": "http://www.nlm.nih.gov/research/umls/rxnorm",
        "display": "Codeine"
      }
    ],
    "text": "Codeine"
  },
  "patient": {
    "reference": "Patient/RedoxPatientExampleTimothy"
  },
  "encounter": {
    "reference": "Encounter/RedoxEncompassingEncounterExample"
  },
  "onsetDateTime": "2022-01-03T16:30:00.000Z",
  "reaction": [
    {
      "manifestation": [
        {
          "coding": [
            {
              "code": "267036007",
              "system": "http://snomed.info/sct",
              "display": "Shortness of Breath"
            }
          ]
        }
      ],
      "description": "Shortness of Breath",
      "severity": "moderate",
      "_severity": {
        "extension": [
          {
            "url": "http://hl7.org/fhir/StructureDefinition/originalText",
            "valueString": "Mild to moderate"
          }
        ]
      }
    }
  ],
  "note": [
    {
      "text": "Additional information"
    }
  ]
}
```

#### Example of a patient with no known allergies

```json
{
  "resourceType": "AllergyIntolerance",
  "id": "NoKnownAllergiesExample",
  "clinicalStatus": {
    "coding": [
      {
        "code": "active",
        "system": "http://terminology.hl7.org/CodeSystem/allergyintolerance-clinical",
        "display": "Active"
      }
    ],
    "text": "Active"
  },
  "code": {
    "coding": [
      {
        "code": "716186003",
        "system": "http://snomed.info/sct",
        "display": "No Known Allergy"
      }
    ]
  },
  "patient": {
    "reference": "Patient/RedoxPatientExampleBarbara"
  }
}
```

### 400

Request could not be processed or failed validation

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: OperationOutcome |
| `issue` | Array of object | Yes | A structured respresentation of the error that occurred |
| `issue[].severity` | string | Yes | Generally `error` or `fatal` Possible values: fatal, error, warning, information |
| `issue[].code` | string | Yes | A FHIR category code that describes the general type of issue. See http://hl7.org/fhir/ValueSet/issue-type for details |
| `issue[].id` | string | No | If the error occurs in the RedoxEngine, this corresponds to an Error record in the organization. |
| `issue[].details` | object | No | Additional details about the error. This may be a text description of the error or a system code that identifies the error. |
| `issue[].details.coding` | Array of object | No | A more granular FHIR code for the specific error. Typically from http://hl7.org/fhir/ValueSet/operation-outcome |
| `issue[].details.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `issue[].details.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `issue[].details.text` | string | No | A human-readable interpretation of the issue code |
| `issue[].diagnostics` | string | No | Additional diagnostic information about the issue. |

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "invalid",
      "details": {
        "coding": [
          {
            "code": "MSG_BAD_SYNTAX",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Invalid content found in request body."
      }
    }
  ]
}
```

### 401

Authorization is required

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "unknown",
      "details": {
        "coding": [
          {
            "code": "MSG_AUTH_REQUIRED",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Invalid authorization token"
      }
    }
  ]
}
```

### 404

Not found or not supported

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "not-found",
      "details": {
        "coding": [
          {
            "code": "MSG_NO_MODULE",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "my-sandbox is not a recognized FHIR organization"
      }
    }
  ]
}
```

### 500

Internal server error

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "processing",
      "details": {
        "coding": [
          {
            "code": "MSG_RESOURCE_ID_FAIL",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Unable to allocate resource id."
      }
    }
  ]
}
```

### 503

Service unavailable

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "transient",
      "details": {
        "text": "System is unable to process this message at this time."
      }
    }
  ]
}
```
